Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.osgi.service.packageadmin
Interface ProvidingBundle

public interface ProvidingBundle

A provided bundle. Instances implementing this interface are created by the Package Admin service.

The information about a `ProvidingBundle` provided by this object is valid only until the next time `PackageAdmin.refreshPackages()` called. If a `ProvidingBundle` object becomes stale (that is, the bundle it references has been updated or removed as a result of calling `PackageAdmin.refreshPackages()`), its `getSymbolicName()` and `getVersion()` continue to return their old values, `isRemovalPending()` returns true, and `getBundle()` and `getRequiringBundles()` return `null`.

Since:
  1.2 EXPERIMENTAL

Method Summary
`Bundle` | `getBundle()` Returns the providing bundle.
`Bundle[]` | `getRequiringBundles()` Returns the resolved bundles that are currently require the providing bundle.
`java.lang.String` | `getSymbolicName()` Returns the symbolic name of the providing bundle.
`java.lang.String` | `getVersion()` Returns the version of the providing bundle.
`boolean` | `isRemovalPending()` Returns `true` if the providing bundle has been updated or uninstalled.

Method Detail

### getBundle

    public Bundle getBundle()

  Returns the providing bundle.
  Returns:
    The providing bundle, or `null` if this `ProvidingBundle` object has become stale.

### getRequiringBundles

    public Bundle[] getRequiringBundles()

  Returns the resolved bundles that are currently require the providing bundle.
  Returns:
    An array of resolved bundles currently requiring the providing bundle, or `null` if this `ProvidingBundle` object has become stale.

### getSymbolicName

    public java.lang.String getSymbolicName()

  Returns the symbolic name of the providing bundle.
  Returns:
    The symbolic name of the providing bundle.

### getVersion

    public java.lang.String getVersion()

  Returns the version of the providing bundle.
  Returns:
    The version of the providing bundle.

### isRemovalPending

    public boolean isRemovalPending()

  Returns `true` if the providing bundle has been updated or uninstalled.
  Returns:
    `true` if the providing bundle has been updated or uninstalled, or if the `ProvidingBundle` object has become stale; `false` otherwise.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| OSGi Service Platform Release 3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) OSGi Alliance (2000, 2003). All Rights Reserved.